View Issue Details

IDProjectCategoryView StatusLast Update
0003949unrealircdpublic2013-05-06 07:08
ReporterohnobinkiAssigned Toohnobinki 
PrioritynormalSeveritytextReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.2.8 
Target Version3.2.9-RC1Fixed in Version3.4-alpha1 
Summary0003949: ./ircd --help should output usage information.
DescriptionYes, I know that --help isn't actually a switch for unrealircd. But passing an invalid switch does cause the usage information to be printed out.

I am filing this bug because I had to make some non-text changes to better improve the usage output and thus it should be reviewed.
TagsNo tags attached.
3rd party modules

Activities

2010-08-25 06:25

 

unreal-3949-more-usage.patch (2,900 bytes)

nenolod

2013-05-06 07:08

reporter   ~0017495

http://hg.unrealircd.org/hg/unreal/rev/aa21738a9bb2

Issue History

Date Modified Username Field Change
2010-08-25 06:25 ohnobinki New Issue
2010-08-25 06:25 ohnobinki File Added: unreal-3949-more-usage.patch
2010-08-25 06:25 ohnobinki QA => Not touched yet by developer
2010-08-25 06:25 ohnobinki U4: Need for upstream patch => No need for upstream InspIRCd patch
2010-08-25 06:25 ohnobinki U4: Upstream notification of bug => Not decided
2010-08-25 06:25 ohnobinki U4: Contributor working on this => None
2010-08-25 06:26 ohnobinki Status new => assigned
2010-08-25 06:26 ohnobinki Assigned To => ohnobinki
2013-01-09 10:18 syzop Status assigned => has patch
2013-05-06 07:08 nenolod Note Added: 0017495
2013-05-06 07:08 nenolod Status has patch => resolved
2013-05-06 07:08 nenolod Fixed in Version => 3.4-alpha1
2013-05-06 07:08 nenolod Resolution open => fixed